set WORKSPACE=..
set LUBAN_DLL=%WORKSPACE%\Tools\Luban\Luban.dll
set CONF_ROOT=.

dotnet %LUBAN_DLL% ^
    -t all ^
    -c cs-dotnet-json ^
    -d json2 ^
    --conf %CONF_ROOT%\luban.conf ^
    --customTemplateDir %CONF_ROOT%\CustomTemplate ^
    -x outputCodeDir=output\Code ^
    -x outputDataDir=output\Table

robocopy /E /Z /MT:16 output\Code ..\GameProject\DataTables\Code
robocopy /E /Z /MT:16 output\Table ..\GameProject\DataTables\Table


pause